Package: org.codehaus.groovy.runtime

## [Java] Class IteratorClosureAdapter<T>

- org.codehaus.groovy.runtime.IteratorClosureAdapter

-     public class IteratorClosureAdapter<T>
      extends Closure

  A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Closure` | `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, OWNER_FIRST, OWNER_ONLY, TO_SELF, maximumNumberOfParameters, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IteratorClosureAdapter(Object delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<T>` | `asList()`
    `` | `protected Object` | `doCall(T argument)`
    `` | `public MetaClass` | `getMetaClass()`
    `` | `public void` | `setMetaClass(MetaClass metaClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Closure` | `andThen, andThenSelf, andThenSelf, asWritable, call, call, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setMetaClass, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public IteratorClosureAdapter(Object delegate)

  - ### Method Detail

    - #### public List<T> asList()

    - #### protected Object doCall(T argument)

    - #### public MetaClass getMetaClass()

    - #### public void setMetaClass(MetaClass metaClass)